<div class="register-bg animated fadeIn">
  <div class="text-center">
    <h4>{{ 'labelSignUp' | translate:lang }}</h4>
    <span class="signup-txt">{{ 'labelAlreadyHaveAccount' | translate:lang }}
      <a (click)="moveToSignin()" [title]="'labelSignIn' | translate:lang">{{ 'labelSignIn' | translate:lang }}</a>
    </span>
  </div>
  <div class="container">
    <div class="row mt-3">
      <div class="col-md-6">
        <form [formGroup]="registerForm" (ngSubmit)="onSubmit()">
          <mat-form-field appearance="outline">
            <mat-label>{{ 'labelFirstName' | translate:lang }}</mat-label>
            <input autocomplete="off" type="text" matInput [placeholder]="'labelFirstName' | translate:lang"
              formControlName="firstName" [maxlength]="registrationRules.NAME_MAX_LENGTH" required />
            <mat-hint
              *ngIf="(registerForm.controls['firstName'].invalid && (registerForm.controls['firstName'].dirty || registerForm.controls['firstName'].touched))">
              <mat-error *ngIf="registerForm.controls['firstName'].errors.required">
                {{'errorRequired' | translate: lang}}
              </mat-error>
              <mat-error *ngIf="registerForm.controls['firstName'].errors.minlength">
                {{'errorMinimumCharacter' | translate: lang}} {{registrationRules.FIRST_NAME_MIN_LENGTH}}
              </mat-error>
              <mat-error
                *ngIf="registerForm.controls['firstName'].errors.pattern && registerForm.controls['firstName'].value.length >= registrationRules.FIRST_NAME_MIN_LENGTH">
                {{ 'labelFirstName' | translate:lang }} {{'errorAlphabets' | translate: lang}}.
              </mat-error>
            </mat-hint>
          </mat-form-field>
          <mat-form-field appearance="outline">
            <mat-label>{{'labelLastName' | translate:lang}}</mat-label>
            <input type="text" autocomplete="off" matInput [placeholder]="'labelLastName' | translate:lang"
              formControlName="lastName" [maxlength]="registrationRules.NAME_MAX_LENGTH" required />
            <mat-hint
              *ngIf="(registerForm.controls['lastName'].invalid && (registerForm.controls['lastName'].dirty || registerForm.controls['lastName'].touched))">
              <mat-error *ngIf="registerForm.controls['lastName'].errors.required">
                {{'errorRequired' | translate: lang}}
              </mat-error>
              <mat-error *ngIf="registerForm.controls['lastName'].errors.minlength">
                {{'errorMinimumCharacter' | translate: lang}} {{registrationRules.LAST_NAME_MIN_LENGTH}}
              </mat-error>
              <mat-error
                *ngIf="registerForm.controls['lastName'].errors.pattern && registerForm.controls['lastName'].value.length >= registrationRules.LAST_NAME_MIN_LENGTH">
                {{ 'labelLastName' | translate:lang }} {{'errorAlphabets' | translate: lang}}.
              </mat-error>
            </mat-hint>
          </mat-form-field>
          <mat-form-field appearance="outline">
            <mat-label>{{'labelEmail' | translate:lang}}</mat-label>
            <input type="text" autocomplete="off" matInput [placeholder]="'labelEmail' | translate:lang"
              formControlName="email" required />
            <mat-hint
              *ngIf="(registerForm.controls['email'].invalid && (registerForm.controls['email'].dirty || registerForm.controls['email'].touched))">
              <mat-error *ngIf="registerForm.controls['email'].errors.required">
                {{'errorRequired' | translate: lang}}
              </mat-error>
              <mat-error
                *ngIf="registerForm.controls['email'].errors.pattern && !registerForm.controls['email'].errors.required">
                {{ 'errorValidEmail' | translate: lang}}
              </mat-error>
            </mat-hint>
          </mat-form-field>
          <mat-form-field appearance="outline">
            <mat-label>{{'labelPhone' | translate:lang}}</mat-label>
            <span class="contry-code" matPrefix>{{countryCode}} &nbsp;</span>
            <input type="text" autocomplete="off" matInput
              [placeholder]="patternDetails ? patternDetails.phoneFormat : ''" formControlName="phone" required />
            <mat-hint
              *ngIf="(registerForm.controls['phone'].invalid && (registerForm.controls['phone'].dirty || registerForm.controls['phone'].touched))">
              <mat-error *ngIf="registerForm.controls['phone'].errors.required">
                {{'errorRequired' | translate: lang}}
              </mat-error>
              <mat-error *ngIf="registerForm.controls['phone'].errors.pattern">
                {{ 'errorValidPhone' | translate:lang }}{{patternDetails.phoneFormat}}
              </mat-error>
            </mat-hint>
          </mat-form-field>
          <mat-form-field appearance="outline">
            <mat-label>{{'labelPassword' | translate:lang}}</mat-label>
            <input matInput [placeholder]="'labelPassword' | translate:lang" (keyup)="showPasswordRules()"
              type="password" formControlName="newPassword" (focusout)="hidePasswordRule()" required
              (input)="removeCurrentPassword()" />
            <span class="password-hint" *ngIf="passwordRule === true && registerForm.controls['newPassword'].invalid">
              <app-password-rule></app-password-rule>
            </span>
            <mat-hint
              *ngIf="(registerForm.controls['newPassword'].invalid && (registerForm.controls['newPassword'].dirty || registerForm.controls['newPassword'].touched))">
              <mat-error *ngIf="registerForm.controls['newPassword'].errors.required">
                {{'errorRequired' | translate: lang}}
              </mat-error>
              <mat-error *ngIf="registerForm.controls['newPassword'].errors.pattern">
                {{'errorPasswordCriteria' | translate: lang}}
              </mat-error>
            </mat-hint>
          </mat-form-field>
          <mat-form-field appearance="outline">
            <mat-label>{{'labelConfirmPassword' | translate:lang}}</mat-label>
            <input matInput validateEqual="newPassword" [placeholder]="'labelConfirmPassword' | translate:lang"
              type="password" formControlName="confirmPassword" required />
            <mat-hint
              *ngIf="(registerForm.controls['confirmPassword'].invalid && (registerForm.controls['confirmPassword'].dirty || registerForm.controls['confirmPassword'].touched))">
              <mat-error *ngIf="registerForm.controls['confirmPassword'].errors.required">
                {{'errorRequired' | translate: lang}}
              </mat-error>
              <mat-error *ngIf="registerForm.controls['confirmPassword'].value.length > 0"
                [hidden]="registerForm.controls['confirmPassword'].valid || (registerForm.controls['confirmPassword'].pristine && !registerForm.controls['confirmPassword'].touched)">
                {{'errorPasswordMatch' | translate: lang}}
              </mat-error>
            </mat-hint>
          </mat-form-field>
          <div>
            <mat-form-field class="example-full-width" appearance="outline">
              <mat-label>{{'placeholderAddress1' | translate: lang}}</mat-label>
              <input matInput [placeholder]="'placeholderAddress1' | translate: lang" required formControlName="Address1"
                [maxLength]="manageRule.ADDRESS_MAX_LENGTH">
              <mat-hint
                *ngIf="(registerForm.controls['Address1'].invalid && (registerForm.controls['Address1'].dirty || registerForm.controls['Address1'].touched))">
                <mat-error *ngIf="registerForm.controls['Address1'].errors.required">
                  {{'errorRequired' | translate: lang}}
                </mat-error>
                <mat-error *ngIf="registerForm.controls['Address1'].errors.minlength">
                  {{'errorMinimumCharacter' | translate: lang}} {{manageRule.ADDRESS_MIN_LENGTH}}
                </mat-error>
              </mat-hint>
            </mat-form-field>
          </div>
          <div>
            <mat-form-field class="example-full-width" appearance="outline">
              <mat-label>{{'placeholderAddress2' | translate: lang}}</mat-label>
              <input matInput [placeholder]="'placeholderAddress2' | translate: lang" formControlName="Address2"
                [maxLength]="manageRule.ADDRESS_MAX_LENGTH">
              <mat-hint
                *ngIf="(registerForm.controls['Address2'].invalid && (registerForm.controls['Address2'].dirty || registerForm.controls['Address2'].touched))">
                <mat-error *ngIf="registerForm.controls['Address2'].errors.minlength">
                  {{'errorMinimumCharacter' | translate: lang}} {{manageRule.ADDRESS_MIN_LENGTH}}
                </mat-error>
              </mat-hint>
            </mat-form-field>
          </div>
          <div class="country-hide">
            <app-mat-select-search (selectionChange)="onChangeCountry($event)" [label]="'lableCountry' | translate: lang"
              [list]="countryList" valueField="countryId" [myFormControl]="registerForm.controls['Country']"
              [requiredMsg]="'errorRequired' | translate:lang"
              [searchPlaceholder]="'COUNTRY_SEARCH_PLACEHOLDER' | translate: lang" [isInactive]="false" [isRequired]="true"
              [noResultsLabel]="'COUNTRY_SEARCH_NOT_FOUND' | translate: lang" displayField="countryName">
            </app-mat-select-search>
          </div>
          <div>
            <app-mat-select-search (selectionChange)="onChangeState($event)" [label]="'lableState' | translate: lang"
              [list]="stateList" valueField="stateId" [myFormControl]="registerForm.controls['State']"
              [requiredMsg]="'errorRequired' | translate:lang"
              [searchPlaceholder]="'STATE_SEARCH_PLACEHOLDER' | translate: lang" [isInactive]="false" [isRequired]="true"
              [noResultsLabel]="'STATE_SEARCH_NOT_FOUND' | translate: lang" displayField="stateName">
            </app-mat-select-search>
          </div>
          <div>
            <app-mat-select-search [label]="'PLACEHOLDER_CITY' | translate: lang"
              [list]="cityList" valueField="cityId" [myFormControl]="registerForm.controls['City']"
              [requiredMsg]="'errorRequired' | translate:lang"
              [searchPlaceholder]="'LABEL_CITY_SEARCH_PLACEHOLDER' | translate: lang" [isInactive]="false" [isRequired]="true"
              [noResultsLabel]="'LABEL_CITY_SEARCH_NOT_FOUND' | translate: lang" displayField="cityName">
            </app-mat-select-search>
          </div>
          <div>
            <mat-form-field class="example-full-width" appearance="outline">
              <mat-label>{{'lablePincode' | translate: lang}}</mat-label>
              <input matInput [placeholder]="'lablePincode' | translate: lang" required formControlName="Pincode"
                [maxLength]="manageRule.PINCODE_MAX_LENGTH" (keypress)="pinCodePatternCheck($event)">
              <mat-hint
                *ngIf="(registerForm.controls['Pincode'].invalid && (registerForm.controls['Pincode'].dirty || registerForm.controls['Pincode'].touched))">
                <mat-error *ngIf="registerForm.controls['Pincode'].errors.required">
                  {{'errorRequired' | translate: lang}}
                </mat-error>
                <mat-error
                  *ngIf="registerForm.controls['Pincode'].errors.pattern && registerForm.controls['Pincode'].value.length >= manageRule.PINCODE_MIN_LENGTH">
                  {{'INVALID_ZIPCODE' | translate: lang}}
                </mat-error>
                <mat-error *ngIf="registerForm.controls['Pincode'].errors.minlength">
                  {{'errorMinimumCharacter' | translate: lang}} {{manageRule.PINCODE_MIN_LENGTH}}
                </mat-error>
              </mat-hint>
            </mat-form-field>
          </div>
          <mat-form-field appearance="outline">
            <mat-label>{{'OTP_PLACEHOLDER' | translate:lang}}</mat-label>
            <input type="text" autocomplete="off" matInput [placeholder]="'OTP_PLACEHOLDER' | translate:lang"
              formControlName="otp" [maxlength]="otpRule.LENGTH" required />
              <span matSuffix class="otp-txt" (click)="resendOTP()" *ngIf="hideSendOtp"
              [ngClass]="{'component-disabled': disableResendOtp}">{{'RESEND' | translate:lang }} &nbsp; <span *ngIf="disableResendOtp">{{otpTimer}}</span></span>
                           
              <mat-hint *ngIf="!hideSendOtp" align="end" class="otp-txt" [ngClass]="{'component-disabled': registerForm.controls['phone'].invalid}" (click)="getOTP()">{{'SEND_OTP' | translate:lang }}</mat-hint>

            <mat-hint
              *ngIf="(registerForm.controls['otp'].invalid && (registerForm.controls['otp'].dirty || registerForm.controls['otp'].touched))">
              <mat-error *ngIf="registerForm.controls['otp'].errors.required">
                {{'errorRequired' | translate: lang}}
              </mat-error>
              <mat-error *ngIf="registerForm.controls['otp'].errors.pattern">
                {{ 'OTP_ERROR' | translate:lang }}
              </mat-error>
              <mat-error *ngIf="registerForm.controls['otp'].errors?.minlength && !registerForm.controls['otp'].errors.pattern">
                {{'ERROR_COMMON_TEXT' | translate:lang }} {{otpRule.LENGTH}}
                {{'DIGITS' | translate: lang }}
              </mat-error>
            </mat-hint>
            
          </mat-form-field>
          <div class="col-md-12 padding0px">
            <ngx-recaptcha2 #captchaElem *ngIf="isInBrowser" [siteKey]="siteKey" [size]="captchaSize"
              [hl]="captchaLanguage" [theme]="captchaTheme" [type]="captchaType" formControlName="isCaptchaVerified">
            </ngx-recaptcha2>
            <mat-hint
              *ngIf="(registerForm.controls['isCaptchaVerified'].invalid && (registerForm.controls['isCaptchaVerified'].dirty || registerForm.controls['isCaptchaVerified'].touched))">
              <mat-error *ngIf="registerForm.controls['isCaptchaVerified'].errors.required">
                {{'errorRequired' | translate: lang}}
              </mat-error>
            </mat-hint>
          </div>
          
          <div class="agree-txt">
            <div class="ag-txt">
              <mat-checkbox formControlName="agree">{{ 'labelAgree' | translate:lang }}</mat-checkbox>
              <div (click)="navigateToTermsAndCondition()" class="terms-txt">{{ 'labelTerms' | translate:lang }}</div>
            </div>
          </div>

          <button mat-raised-button color="primary" [disabled]="!registerForm.valid">{{ 'buttonSignUp' | translate:lang }}</button>
        </form>
      </div>
      <div class="col-md-6 content-aligner divider-cont">
        <div class="divider">
          <span class="divider-txt">{{ 'labelOr' | translate:lang }}</span>
        </div>
        <div class="register-right">
          <div class="">
            <button (click)="socialSignIn('facebook')" mat-raised-button class="btn-facebook" title="SignUp">
              <span class="fa-icon">
                <i class="fab fa-facebook-f"></i>
              </span>{{ 'buttonSignUpFacebook' | translate:lang }}</button>
          </div>
          <!-- <div class="">
            <button (click)="socialSignIn('google')" mat-raised-button class="btn-google mt-4">
              <span class="fa-icon">
                <i class="fa fa-google-plus" aria-hidden="true"></i>
              </span>
              <span class="text-google">{{ 'buttonSignUpGoogle' | translate:lang }}</span>
            </button>
          </div> -->
        </div>
      </div>
    </div>
  </div>
</div>